# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-04-01 01:04
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('saas', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Manufacturer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_manufacturers', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u5382\u5bb6',
                'verbose_name_plural': '\u5382\u5bb6',
            },
        ),
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('number', models.CharField(max_length=255, verbose_name='\u578b\u53f7')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('manufacturer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.PROTECT, related_name='products', to='quote.Manufacturer', verbose_name='\u5382\u5bb6')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_products', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u4ea7\u54c1',
                'verbose_name_plural': '\u4ea7\u54c1',
            },
        ),
        migrations.CreateModel(
            name='Quote',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('unit_price', models.DecimalField(decimal_places=2, max_digits=10, verbose_name='\u5355\u4ef7')),
                ('delivery', models.CharField(max_length=32, verbose_name='\u8d27\u671f')),
                ('delivery_days_from', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u8d27\u671f\u6700\u77ed\u5929\u6570')),
                ('delivery_days_to', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u8d27\u671f\u6700\u957f\u5929\u6570')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_quotes', to='saas.Party', verbose_name='\u56e2\u4f53')),
                ('product', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quotes', to='quote.Product', verbose_name='\u4ea7\u54c1')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u62a5\u4ef7',
                'verbose_name_plural': '\u62a5\u4ef7',
            },
        ),
        migrations.CreateModel(
            name='Vendor',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, verbose_name='\u540d\u79f0')),
                ('create_time', models.DateTimeField(auto_now_add=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('party', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quote_vendors', to='saas.Party', verbose_name='\u56e2\u4f53')),
            ],
            options={
                'ordering': ('-create_time',),
                'verbose_name': '\u5356\u5bb6',
                'verbose_name_plural': '\u5356\u5bb6',
            },
        ),
        migrations.AddField(
            model_name='quote',
            name='vendor',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='quotes', to='quote.Vendor', verbose_name='\u5356\u5bb6'),
        ),
        migrations.AlterUniqueTogether(
            name='product',
            unique_together=set([('party', 'manufacturer', 'name', 'number')]),
        ),
    ]
